GET
Get an order
/api/v1/orders/{orderId} · needs an API key
One of your orders, with its fills.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
| orderId * | path | string |
Request
curl "https://www.vancouverpx.ca/api/v1/orders/9b2e5c1d-0f47-4d1e-8a55-6c2b7e3f9a10" \
-H "Authorization: Bearer $VPX_API_KEY"Response
200 with this object:
| Field | Type | Description |
|---|---|---|
| id | string | |
| marketId | string | |
| walletId | string | |
| side | Side | |
| outcome | Outcome | |
| type | OrderType | |
| price | integer | Limit price, in this outcome's cents (market orders: 99 to buy, 1 to sell) |
| quantity | integer | |
| filledQuantity | integer | |
| remainingQuantity | integer | Shares still on the book (0 once filled or cancelled) |
| status | OrderStatus | |
| createdAt | string (date-time) | When it was placed |
| updatedAt | string (date-time) | When it last changed |
| canceledAt | string (date-time) | null | |
| botId | string | null | The VPX bot that placed it, if any |
| clientOrderId | string | null | The bot's own id for the order (VPX bots only) |
| fills | Fill[] | Its fills, oldest first |
Example
{
"id": "9b2e5c1d-0f47-4d1e-8a55-6c2b7e3f9a10",
"marketId": "3f1c0f2e-6a55-4a8e-9b53-2a1f0c9d7e11",
"walletId": "clx8w2k3p0001qz8r5t1y7u4v",
"side": "BUY",
"outcome": "YES",
"type": "LIMIT",
"price": 53,
"quantity": 10,
"filledQuantity": 4,
"remainingQuantity": 6,
"status": "PARTIALLY_FILLED",
"createdAt": "2026-10-27T17:05:00.000Z",
"updatedAt": "2026-10-27T17:05:00.000Z",
"canceledAt": null,
"botId": null,
"clientOrderId": null,
"fills": [
{
"id": "trade:5d1e9c2a-7b3f-4e8d-a6c1-2f9b8e7d6c5a:buy",
"kind": "trade",
"orderId": "9b2e5c1d-0f47-4d1e-8a55-6c2b7e3f9a10",
"marketId": "3f1c0f2e-6a55-4a8e-9b53-2a1f0c9d7e11",
"walletId": "clx8w2k3p0001qz8r5t1y7u4v",
"side": "BUY",
"outcome": "YES",
"price": 53,
"quantity": 4,
"executedAt": "2026-10-27T17:05:00.000Z",
"botId": null
}
]
}Errors
ORDER_NOT_FOUND, and the errors every endpoint can answer.